function startResultsContainer(auth_code::String)
    results_container = get_results_container(auth_code)
    results_container = Dict()
    return results_container
end

function stopResultsContainer(auth_code::String)
    stop_container_update_image(auth_code)  
end

function startDataContainers(services::Vector{String}, auth_code::String)
    for service in services
        lower_case_service=lowercase(service)
        container_config = Dict("Image" => "registry.git.nilu.no/fact/data/$lower_case_service:latest")
        create_container(container_config, lower_case_service, auth_token=auth_code)
    end
end

function stopDataContainers(services::Vector{String}, auth_code::String)
    for service in services
        lower_case_service=lowercase(service)
        stop_container(lower_case_service, auth_token=auth_code)
    end

end

function collectServices(tasks::Dict)
    services = String[]  # Initialize an empty array to store service values

    for (task_name, task_info) in tasks
        push!(services, task_info["service"])  # Collect each service value
    end

    return unique(services)  # Remove duplicates and return the result
end